summaryrefslogtreecommitdiffstats
path: root/config/chroot_local-packageslists/tails-common.list
Commit message (Collapse)AuthorAgeFilesLines
* Don't install virtualbox-guest-x11 (refs: #12298).intrigeri2017-03-051-1/+0
| | | | | | | | | | | | | | | | None of our two options work: * virtualbox-guest-x11 5.1.14 from sid depends on a newer xserver-xorg-core than what we have in jessie(-backports) * virtualbox-guest-x11 5.1.8 from jessie-backports is not co-installable with virtualbox-guest-utils (5.1.14) from sid, that we need to install virtualbox-guest-dkms (5.1.14) from sid, that we need to run Linux 4.9. Presumably, a custom backport of src:virtualbox could address all this. At this point it's unclear whether we can/should/want to commit to maintain that: see "Decide whether we can drop DKMS modules support" in https://tails.boum.org/contribute/meetings/201703/
* tails-32-bit-notify-user: make decisions based on the CPU architecture, not ↵intrigeri2017-03-021-0/+2
| | | | | | | the running kernel one (refs: #12193). Otherwise, manually picking the 32-bit kernel on 64-bit hardware would result in the notification being shown.
* Merge remote-tracking branch 'origin/feature/7870-include_onionshare' into develintrigeri2017-01-111-2/+5
|\ | | | | | | Fix-committed: #7870, #6742, #6788, #9001
| * Merge remote-tracking branch 'origin/devel' into feature/7870-include_onionshareintrigeri2016-12-071-0/+2
| |\
| * \ Merge remote-tracking branch 'origin/devel' into feature/7870-include_onionshareanonym2016-10-051-0/+2
| |\ \
| * | | Run onioncircuits directly as the live user.anonym2016-09-261-2/+0
| | | | | | | | | | | | | | | | | | | | | | | | onioncircuits now uses tor-controlport-filter, which is exposed to the live user. Also the per-process filtering should make the attack surface even smaller.
| * | | Separate data (filters) out of tor-controlport-filter.anonym2016-09-261-0/+4
| | | | | | | | | | | | | | | | | | | | And while we're at it, allow multiple different filters, based on the client's cmdline.
| * | | Install onionshare from Debian Stretch.anonym2016-09-231-0/+1
| | | | | | | | | | | | | | | | | | | | | | | | We'll need version >= 0.9, which isn't in jessie-backports yet. Will-fix: #7870
* | | | Removed nyx/armspriver2017-01-011-1/+0
| |_|/ |/| |
* | | Add support for exFAT (refs: #9659).intrigeri2016-11-101-0/+2
| |/ |/|
* | Merge remote-tracking branch 'origin/bugfix/11853-mesa-12.0.3' into develanonym2016-10-051-0/+1
|\ \ | | | | | | | | | Fix-committed: #11853, #11850
| * | Hardware support: install xserver-xorg-video-amdgpu.intrigeri2016-09-301-0/+1
| |/ | | | | | | | | | | This should help supporting newer AMD graphics adapters. refs: #11850
* | Merge remote-tracking branch 'origin/stable' into feature/11810-lets-encryptbertagaz2016-09-301-9/+7
|\ \ | |/
| * Revert "Bring gnome-sound-recorder back": unusable in current default ↵intrigeri2016-09-121-1/+0
| | | | | | | | | | | | | | | | | | configuration, lacking user documentation. refs: #11780, #10950 This reverts commits 4b9e40be686d1fa6de885e41622f6bf722f199f3 and 473e8f059e1bd059d466c4066326acdd3e3824fb.
| * Install python3-pyinotify.anonym2016-09-021-1/+1
| | | | | | | | | | | | | | ... instead of python-pyinotify, since we just migrated boot-profile to python3. Will-fix: #10083
| * Merge remote-tracking branch 'origin/feature/11502-more-firmware' into develanonym2016-08-281-0/+2
| |\ | | | | | | | | | Fix-committed: #11502
| | * Install firmware-intel-sound and firmware-ti-connectivity.intrigeri2016-06-021-0/+2
| | | | | | | | | | | | | | | | | | This adds support for some sound cards and Wi-Fi adapters. refs: #11502
| | |
| | \
| | \
| | \
| | \
| | \
| *-----. \ Merge remote-tracking branches 'origin/feature/5650-rngd', ↵intrigeri2016-08-011-8/+4
| |\ \ \ \ \ | | | | | |/ | | | | |/| | | | | | | 'origin/feature/10298-linux-4.x-aufs-kaslr', 'origin/feature/11351-tor-0.2.8', 'origin/feature/10190-OpenPGP-applet-from-Debian' and 'origin/test/11588-usb-on-jenkins+10733' into feature/from-intrigeri-for-2.6
| | | | | * Install OpenPGP Applet from Debian.intrigeri2016-07-051-8/+2
| | | | |/ | | | | | | | | | | | | | | | refs: #10190
| | | * | Install virtualbox-guest-x11 via chroot_local-packageslists.intrigeri2016-06-091-0/+1
| | | |/ | | | | | | | | | | | | There's no need to do it in the chroot hook anymore.
| | * | Merge remote-tracking branch 'origin/devel' into feature/5650-rngdintrigeri2016-06-091-6/+9
| | |\ \ | | | |/
| | * | Merge remote-tracking branch 'origin/stable' into feature/5650-rngdintrigeri2016-02-291-64/+55
| | |\ \
| | * \ \ Merge branch 'devel' into feature/5650-rngdTails developers2015-02-101-10/+19
| | |\ \ \
| | * | | | Install rngd (Closes: #5650).Tails developers2014-07-281-0/+1
| | | | | |
| * | | | | Drop useless comment.intrigeri2016-07-271-1/+0
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | We don't use comments in that file unless necessary. In this case, Git history and changelog should point to the ticket, that should be enough to document the reason why we ship gnome-sound-recorder. Refs: #10950
| * | | | | config/chroot_local-packageslists/tails-common.list: add gnome-sound-recorderAustin English2016-06-261-0/+2
| | |_|_|/ | |/| | |
* | | | | Port tails-security-check to use Tails::Download::HTTPS.intrigeri2016-09-201-0/+1
|/ / / / | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | This is needed to pin Let's Encrypt _intermediate_ CA, which is not supported by IO::Socket::SSL and Net::SSLeay. For details, see: https://labs.riseup.net/code/issues/11810#note-1. Besides, it's much cleaner and easier to maintain to have one single (somewhat hardened) HTTPS download implementation, that's covered quite a bit by tails-iuk's test suite, instead of having to maintain a second one just for tails-security-check. refs: #11810
* | | | Install printer-driver-postscript-hp.intrigeri2016-05-311-0/+1
| | | | | | | | | | | | | | | | | | | | | | | | It adds support for some more printers. refs: #10965
* | | | Revert "Stop installing system-config-printer."intrigeri2016-05-311-0/+1
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | This reverts commit 84c0feb87eeb4f5472b60c4b04bf92291c49a2f6. It's still needed to add (at least some) new USB printers: * https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=774257 * https://sources.debian.net/src/gnome-settings-daemon/3.14.2-3/plugins/print-notifications/gsd-printer.c/ * https://sources.debian.net/src/gnome-control-center/1:3.14.2-3/panels/printers/pp-new-printer.c/ refs: #10965
* | | | Merge remote-tracking branch 'origin/devel' into feature/11123-new-mirror-poolintrigeri2016-05-231-1/+0
|\ \ \ \
| * | | | Revert "Install the nmh package."anonym2016-05-221-1/+0
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | This reverts commit f3ffa32d961a99918500fc04d9f5a9fd3c50105b. The supported Claws-Mail-to-Icedove migration period is over, so let's drop the dependency we installed specifically for that. Fix-committed: #10457
* | | | | Merge remote-tracking branch 'origin/devel' into feature/11123-new-mirror-poolintrigeri2016-05-141-2/+1
|\ \ \ \ \ | |/ / / /
| * | | | Merge branch 'test/10721-a11y-technologies' into develanonym2016-05-111-0/+1
| |\ \ \ \ | | | | | | | | | | | | | | | | | | Fix-committed: #10721
| | * | | | Install dogtail, to use accessibility technologies in our automated test suite.intrigeri2016-03-301-0/+1
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | We have to stop manually removing python-apt, since python-dogtail Depends: python-apt. refs: #10721
| * | | | | Merge remote-tracking branch 'origin/feature/11237-remove-tweak-tool' into develanonym2016-05-091-1/+0
| |\ \ \ \ \ | | | | | | | | | | | | | | | | | | | | | Fix-committed: #11237
| | * | | | | Revert "Install gnome-tweak-tool." (Will-fix: #11237)sajolida2016-03-151-1/+0
| | |/ / / / | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | This reverts commit a1e80d72a508ee49b63afa166261e99a6c3387a5. Including GNOME Tweak Tool was probably meant for development only but then it got shipped in 2.0. In #11237 we agreed on removing it to avoid having to support corner cases trigger by people doing to much tweaking.
| * | | | | Remove hledger (Will-fix: #11346)sajolida2016-04-131-1/+0
| |/ / / / | | | | | | | | | | | | | | | | | | | | It was added for our own needs and is now available with additional packages.
* | | | | Install tails-transform-mirror-url + its dependencies, and add it to the ↵intrigeri2016-04-291-0/+2
|/ / / / | | | | | | | | | | | | | | | | | | | | Node.js modules search patch. refs: #11123
* | | | Merge branch 'feature/7674-libdvdcss2' into develanonym2016-02-231-0/+2
|\ \ \ \
| * | | | Install gstreamer1.0-plugins-ugly for audio during DVD playback.anonym2016-02-231-0/+2
| | |_|/ | |/| |
* | | | [refactor] Packages list: move onioncircuits out of our "self-bla" section.intrigeri2016-02-231-1/+1
| | | | | | | | | | | | | | | | It's not Tails -specific, and we're going to upload it to Debian soon.
* | | | Tor Monitor was renamed to Onion Circuits.intrigeri2016-02-231-2/+2
| | | | | | | | | | | | | | | | refs: #6841
* | | | Revert "Install libqt4-qt3support so that Vidalia is as nice as on Squeeze".intrigeri2016-02-151-1/+0
| | | | | | | | | | | | | | | | | | | | | | | | This reverts commit 0bd9ad66b79b9cdc429a1b92a2becbec5114e7ae. refs: #9259
* | | | Merge remote-tracking branch 'origin/devel' into feature/6841-replace-vidaliaanonym2016-02-151-0/+3
|\ \ \ \ | |/ / /
| * | | Add libgnome2-bin to installed packages list to provide gnome-opensegfault2016-02-091-0/+3
| | | | | | | | | | | | | | | | Will-fix: #11031
* | | | Replace vidalia by tor-monitorAlan2016-01-171-2/+2
|/ / /
* | | Merge branch 'devel' into bugfix/10754-electrum-2.5.4-2intrigeri2016-01-111-5/+1
|\ \ \
| * | | Install cracklib-runtime, that is needed to make GNOME Disks' passphrase ↵intrigeri2016-01-071-0/+1
| | | | | | | | | | | | | | | | | | | | | | | | strength checking feature work. Will-fix: #10862
| * | | Remove Claws-Mailkytv2015-12-101-5/+0
| | | | | | | | | | | | | | | | Will-fix: 10167
* | | | Enable Electrum's Qt GUI.anonym2015-12-161-0/+3
|/ / / | | | | | | | | | python-qt4 is just listed as a recommended package. Hm.